/*
** Ce fichier regroupe toutes les class CSS utilisées pour le site ;
*/

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&display=swap');
/* @import url('https://db.onlinewebfonts.com/c/c144af7d488f9069913d40dee3cd1f70?family=Algerian'); */

:root {
    --color-primary: #013E97;
    --color-primary-rgb: 1, 61, 151;
    --color-primary-foreground: #fff;

    --color-secondary: #E7403A;
    --color-secondary-rgb: 255, 117, 29;

    --color-tertiary: #FCF974;
    --color-tertiary-rgb: 252, 249, 116;

    --color-text: #0F1828;
    --color-title: #013E97;
    --color-text-rgb: 0, 0, 0;
    --color-border: #DCDCDC;
}
@font-face{
    font-family: algeria;
    font-style: normal;
    font-weight: 400;
    src:
        local('Algeria'),
        url('https://fonts.cdnfonts.com/s/13342/ALGERIA.woff') format('woff')
}
html,
body {
    font-family: 'Poppins', sans-serif !important;
    max-width: 100vw;
    margin: 0;
}
html,
body,
p {
    color: var(--color-text);
    line-height: 1.8rem;
    font-weight: 300;
}
strong {
    font-weight: 600;
}
section {
    padding-top: 50px;
    padding-bottom: 50px;
}
h1, h2 {
    color: var(--color-primary);
    font-weight: 100;
    font-family: algeria;
    text-transform: uppercase;
}
h2 {
    font-size: 33px;
    margin-bottom: 20px;
    line-height: 36px;
}
h3 {
    font-size: 26px;
    color: #000;
    font-weight: 500;
}
h4 {
    font-size: 18px;
}

.color-primary {
    color: var(--color-primary) !important;
}
.color-secondary {
    color: var(--color-secondary) !important;
}
.color-tertiary {
    color: var(--color-tertiary) !important;
}
.color-text {
    color: var(--color-text) !important;
}
.color-title {
    color: var(--color-title) !important;
}
.bg-primary {
    background: var(--color-primary) !important;
}
.bg-secondary {
    background: var(--color-seondary) !important;
}
.bg-lightgrey {
    background: #f9f9f9;
}
.z-index-9 {
    z-index: 9;
}
.separator {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 40px;
}
.separator img {
    width: 80px;
    max-width: 80px;
}

.img-responsive {
    width: 100%;
    max-width: 100%;
    height: auto;
}
.video-responsive,
.img-responsive {
    position: relative;
    width: 100%;
    padding-bottom: 56%;
}
.img-responsive.img-portrait {
    padding-bottom: 156%;
}
.img-responsive.img-square {
    padding-bottom: 100%;
}
.video-responsive iframe,
.video-responsive video {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    max-width: 100%;
    height: 100%;
    max-height: 100%;
}
.img-responsive img {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    max-width: 100%;
    height: 100%;
    max-height: 100%;
    object-fit: cover;
    box-shadow: 0 0 24px rgba(0,0,0,.08)
}
.text-wrapper {
    position: relative;
    line-height: 2.5rem;
    padding: 30px;
}
.text-wrapper p:not(:last-child) {
    margin-bottom: 30px;
}
.text-wrapper::before {
    content: " ";
    box-shadow: 0 0 37px rgba(0,0,0,.06);
    position: absolute;
    top: -20px;
    right: -20px;
    bottom: -20px;
    left: -20px;
    z-index: -1;
}
.slogan {
    font-size: 33px;
    font-family: 'Libre Baskerville', serif;
    font-style: italic;
    line-height: 52px;
    text-align: center;
}
.text-baskerville {
    font-family: 'Libre Baskerville', serif;
    font-size: 20px;
    color: var(--color-title);
    font-weight: 600;
}
.block {
    background-color: var(--color-primary);
    padding: 50px 50px 73px;
    color: #fff;
    border-radius: 5px;
}
.block p,
.block h2 {
    color: #fff;
}
.block h2 {
    margin-bottom: 42px;
}

/* Navigation & Navbar */
nav {
    position: relative;
    background: var(--color-primary);
    padding: 12px 0;
}
nav.nav-wrapper .container {
    display: flex;
    align-items: center;
    flex-direction: row;
}
nav .nav-logo img {
    width: 170px;
    max-width: 170px;
}
nav .nav-menu {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: auto;
    padding-left: 0;
    margin-bottom: 0;
    margin-top: 0;
}
nav .nav-menu li {
    list-style: none;
}
nav .nav-menu li a:not(.dropdown-item):not(.btn),
nav .nav-menu li button {
    font-size: 14px;
    padding: 5px 8px 10px 8px;
    margin-left: 10px;
    margin-right: 10px;
    color: var(--color-primary-foreground);
    font-weight: 500;
    text-transform: uppercase;
    transition: all .2s;
    -webkit-appearance: none;
    border: none;
    background: transparent;
}
nav .nav-menu li button .bi-chevron-down {
    display: inline-block;
    transition: all .2s ease;
    vertical-align: 2px;
    -webkit-text-stroke: thin;
    font-size: 12px;
}
nav .nav-menu li button[aria-expanded="true"] .bi-chevron-down {
    transform: rotate(-180deg);
}
nav .nav-menu li a:not(.active):hover,
nav .nav-menu li button:not(.active):hover,
nav .nav-social a:hover {
    text-decoration: none;
    color: var(--color-tertiary);
}
nav .nav-menu li:has(a.active),
nav .nav-menu li:has(button.active) {
    position: relative;
}
nav .nav-menu li a.active::before,
nav .nav-menu li button.active::before,
nav .nav-menu li a.active::after,
nav .nav-menu li button.active::after,
nav .nav-menu li:has(a.active)::before,
nav .nav-menu li:has(button.active)::before {
    content: " ";
    position: absolute;
    bottom: -3px;
    left: 50%;
    transform: translate(-50%);
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: var(--color-secondary);
}
nav .nav-menu li a.active::before,
nav .nav-menu li button.active::before {
    transform: translateX(calc(-50% + 10px));
}
nav .nav-menu li:has(a.active)::before,
nav .nav-menu li:has(button.active)::before {
    transform: translateX(calc(-50% - 10px));
}
nav .nav-menu-btn {
    background: var(--color-tertiary);
    padding: 2px;
    width: 46px;
    height: 46px;
    border-radius: 5px;
    color: var(--color-primary);
    font-size: 28px;
    align-items: center;
    justify-content: center;
    text-align: center;
    border: none;
    -webkit-appearance: none;
}
nav .btn-nav {
    display: inline-flex;
    align-items: center;
    border: 1px solid var(--color-border);
    border-radius: 99px;
    padding: 2px 12px 2px 10px;
    font-size: 14px;
    font-weight: 600;
    color: var(--color-text);
    margin-right: 40px;
    transition: all .2s;
}
nav .btn-nav i {
    font-size: 16px;
}
nav .btn-nav:hover {
    background: rgba(0,0,0,.05);
    text-decoration: none;
}

/* Header */

header.homepage {
    padding-top: 31.042%;
    position: relative;
    overflow: hidden;
}
header.homepage .header-featured {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
header.header {
    background-color: var(--color-tertiary);
    padding: 20px 0;
}
header h1 {
    margin: 0;
}

/* Footer */

footer {
    font-size: 12px;
    padding: 20px 0;
    background-color: var(--color-primary);
}
footer * {
    color: #fff;
}
footer a:hover {
    color: var(--color-tertiary);
    text-decoration: none;
}
.footer-bottom {
    position: relative;
    padding-bottom: 56%;
    overflow: hidden;
    width: 100%;
}
.footer-bottom-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

/* Related Articles */

.related-wrapper {
    position: relative;
    z-index: 1;
}
.related-wrapper::before,
.related-wrapper::after {
    content: " ";
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #fff;
    position: absolute;
    z-index: -1;
}
.related-wrapper::before {
    width: 200px;
    height: 200px;
    background-image: url('../img/shape-secondary-bis.jpg');
    bottom: 0;
    left: 0;
    transform: translate(-40%, 30%);
}
.related-wrapper::after {
    width: 250px;
    height: 250px;
    background-image: url('../img/shape-secondary.jpg');
    top: 0;
    right: 0;
    transform: translate(40%, -20%);
    z-index: -1;
}
.related-item {
    display: block;
    width: 100%;
    transition: all .12s;
}
a.related-item:hover {
    text-decoration: none;
    transform: translateY(-5px) !important;
}
.related-item .related-image {
    width: 100%;
    height: 220px;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    overflow: hidden;
}
.related-item .related-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.related-item .related-infos {
    padding: 25px;
    position: relative;
    background-color: var(--color-primary);
    color: var(--color-primary-foreground);
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
}
.related-item .related-infos * {
    color: var(--color-primary-foreground);
}
.related-item .related-infos p {
    font-size: 14px;
    line-height: 1.6em;
    margin-bottom: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.related-item .related-infos h3 {
  font-size: 18px;
  font-weight: 600;
}

/* Map */

.map-wrapper {
    display: block;
    width: 100%;
    padding-bottom: 50vh;
    position: relative;
}
.map-wrapper #map {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Sections */

.contact-form {
    position: relative;
    z-index: 2;
}
.contact-form::before {
    content: " ";
    position: absolute;
    top: 50%;
    right: 0;
    bottom: 0;
    left: 0;
    background: var(--color-primary);
    z-index: -1;
}
.section-map {
    background: #92b8f7;
}
.section-map h2,
.section-map p {
    color: #fff;
    text-align: center;
}
.block-map {
    background-image: url('../img/map.png');
    background-size: contain;
    background-position: center center;
    width: 60%;
    max-width: 100%;
    padding-top: 60%;
    background-repeat: no-repeat;
    margin: auto;
    position: relative;
}
.block-map .pin {
    display: block;
    width: 40px;
    height: 40px;
    border-radius: 100%;
    background: var(--color-primary);
    box-shadow: 0 2px 3px rgba(0,0,0,.5);
    position: absolute;
    left: 50%;
    top: 50%;
}
.block-map .pin:nth-child(1) {
    left: 69%;
    top: 21%;
}
.block-map .pin:nth-child(2) {
    left: 50%;
    top: 50%;
}
.block-map .pin:nth-child(3) {
    top: 66%;
    left: 59%;
}
.block-map .pin:nth-child(4) {
    top: 76%;
    left: 37%;
}

article h1,
article h2,
article h3,
article h4,
article h5,
article h6 {
    color: var(--color-primary);
    font-weight: 600;
    margin-top: 1.5em;
    margin-bottom: .75em;
    font-family: 'Libre Baskerville', serif;
    text-transform: none;
}
article,
article p {
    font-size: 18px;
    line-height: 1.6em;
    color: rgba(var(--color-text-rgb), .8)
}


/* WYSIWYG */

.article-wp img {
    box-shadow: 0 0 50px 10px rgba(0,0,0,.05);
}
.article-wp ul,
.article-wp ol {
    margin-top: 40px;
    margin-bottom: 40px;
}
.article-wp .wys-featured-img {
    width: 100%;
    max-width: 100%;
    margin-bottom: 40px;
}
.article-wp .wys-img-left {
    float: left;
    margin: 5px 30px 15px 0;
}
.article-wp .wys-img-right {
    float: right;
    margin: 5px 0 15px 30px;
}
.article-wp .wys-highlighted {
    margin: 40px auto;
    width: 75%;
    padding: 40px;
    font-style: italic;
    background-color: var(--color-primary);
    color: var(--color-primary-foreground);
    border-radius: 5px;
}

/* Map */

.mapcontainer a {
    transition: all .2s;
    cursor: pointer;
}
.mapcontainer a:hover {
    fill: var(--color-primary) !important;
}

/* Buttons */

.btn {
    border: none;
    padding: 10px 24px;
    font-weight: 600;
    border-radius: 5px;
    transition: all .2s;
    text-transform: uppercase;
    line-height: 26px;
}
.btn.btn-primary {
    background-color: var(--color-primary);
    color: var(--color-tertiary);
    border: 2px solid var(--color-primary);
    font-family: 'Libre Baskerville', serif;
}
.btn.btn-primary:hover {
    background-color: transparent;
    color: var(--color-primary);
    border: 2px solid var(--color-primary);
}
.btn.btn-secondary {
    background-color: transparent;
    color: var(--color-primary);
}
.btn.btn-secondary:hover {
    background-color: transparent;
    color: var(--color-secondary);
    border: 2px solid var(--color-secondary);
}
.btn.btn-tertiary {
    background-color: var(--color-tertiary);
    color: var(--color-title);
    border: 2px solid var(--color-tertiary);
}
.btn.btn-tertiary:hover {
    background-color: transparent;
    color: var(--color-tertiary);
    border: 2px solid var(--color-tertiary);
}
.btn i,
.btn .bi {
    vertical-align: 3px;
    margin-right: 4px;
}
.btn:focus,
button:focus {
    outline: none;
}

/* Popover */

.popover {
    border-radius: 0;
    box-shadow: 0 0 50px 10px rgba(0,0,0,.05);
}
.popover-header {
    border-radius: 0;
    background-color: var(--color-primary);
    color: #fff;
    border-bottom: none;
}
.popover-body .bi-geo-alt {
    vertical-align: 1.35rem;
}

/* Inputs */

.form-control {
    border-radius: 5px;
    height: 50px;
    padding: 16px 20px;
}
.form-control:focus {
    border-color: var(--color-primary);
    box-shadow: 0 0 0 0.2rem rgba(var(--color-primary-rgb),.5);
}
.form-check-input {
    margin-top: 10px;
}
select.form-control {
    padding: 2px 18px;
}
input[type="file"] {
    appearance: none;
    -webkit-appearance: none;
    line-height: 20px;
    padding: 3px 44px;
    position: relative;
    cursor: pointer;
}
input[type="file"]::-webkit-file-upload-button {
    visibility: hidden;
    width: 100%;
    display: block;
    height: 0;
}
input[type="file"]::before {
    content: url('data:image/svg+xml; utf8, <svg xmlns="http://www.w3.org/2000/svg" color="darkgrey" width="16" height="16" fill="darkgrey" class="bi bi-file-earmark-text" viewBox="0 0 16 16"><path d="M5.5 7a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1h-5zM5 9.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0 2a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 0 1h-2a.5.5 0 0 1-.5-.5z"/><path d="M9.5 0H4a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V4.5L9.5 0zm0 1v2A1.5 1.5 0 0 0 11 4.5h2V14a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h5.5z"/></svg>');
    width: 20px;
    height: 20px;
    position: absolute;
    left: 17px;
    top: 50%;
    transform: translateY(-43%);
}
.form-group label {
    line-height: 1.5em;
}
label[required]::after,
label[required="required"]::after {
    content: "*";
    color: var(--color-secondary);
}

/* Dropdowns */

.dropdown-menu {
    border-radius: 0;
    border-color: transparent;
    box-shadow: 0 0 37px rgba(0,0,0,.06);
}
.dropdown-item {
    font-size: 14px;
}
.dropdown-item.active,
.dropdown-item:active {
    color: #fff !important;
    background: var(--color-primary);
}

/* Responsive ; Media Query */

@media (max-width:410px) {
    .block-shape {
        padding: 10%;
    }
    .block-shape::before {
        width: 150%;
        padding-top: 150%;
        top: -27%;
        left: -25%;
    }
}
@media (min-width:411px) and (max-width:544px) {
    .block-shape {
        padding: 15%;
    }
    .block-shape::before {
        width: 130%;
        padding-top: 130%;
        top: -24%;
        left: -15%;
    }
}
@media (min-width:545px) and (max-width:767px) {
    .block-shape {
        padding: 100px;
    }
    .block-shape::before {
        width: 130%;
        padding-top: 130%;
        top: -24%;
        left: -15%;
    }
}
@media (max-width:544px) {
    .block-map .pin {
        width: 5vw;
        height: 5vw;
    }
}
@media (max-width:767px) {
    header.homepage h1 {
        font-size: 29px;
    }
    .block-wrapper .block-wrapper-content {
        padding: 40px;
    }
    .block-wrapper .block-wrapper-content h2 {
        font-size: 30px;
        padding-left: 30px;
    }
    .block-wrapper .block-wrapper-content h2::before {
        left: 20px;
        width: 20px;
    }
    .block-shape h2 {
        padding-left: 30px;
    }
    .block-shape h2::before {
        left: 0px;
        width: 20px;
        transform: translateX(0)
    }
    .cta-wrapper {
        padding: 20px;
        justify-content: center;
        border-radius: 40px;
        flex-direction: column;
        text-align: center;
    }
    .emploi-item {
        flex-direction: column;
    }
    .emploi-item .emploi-details {
        flex-direction: row;
        justify-content: space-between;
        border-radius: 60% 60% 0 0;
        box-shadow: 0 -8px 0 0 rgba(var(--color-primary-rgb), .2);
        padding: 60px 40px 30px 40px;
    }
}

@media (min-width:768px) {
}

@media (min-width:768px) and (max-width:991px) {
    .block-shape {
        padding: 80px 170px;
        margin-top: 140px;
    }
    .block-shape::before {
        width: 100%;
        padding-top: 100%;
        top: -40%;
        left: -2%;
    }
}

@media (max-width:991px) {
    nav .nav-menu {
        position: absolute;
        top: 100%;
        background: var(--color-primary);
        width: 100%;
        z-index: 1024;
        left: 0;
        padding: 20px;
        flex-direction: column;
        border-top: 1px solid #eaeaea;
        box-shadow: 0 110px 100px 0px rgba(0,0,0,.3);
        opacity: 0;
        transform: scaleY(0);
        transform-origin: top;
        transition: all .2s;
    }
    nav .nav-menu.opened {
        opacity: 1;
        transform: scaleY(1);
    }
    nav .nav-menu li:not(:last-child) {
        margin-bottom: 10px;
    }
    nav.nav-wrapper .container {
        justify-content: space-between;
    }
    nav .nav-menu li.nav-item-logo {
        display: none;
    }
    nav .nav-menu-btn {
        order: 2;
    }
    nav .nav-logo {
        max-width: 180px;
        order: 1;
    }
    nav .nav-infos {
        display: none;
    }
    .block {
        padding: 20px;
    }
    .slogan {
        font-size: 22px;
        line-height: 30px;
    }
}

@media (min-width:992px) {
    nav .nav-menu-btn {
        display: none;
    }
    nav .nav-logo,
    nav .nav-social {
        flex: none;
        width: 22%;
        max-width: 22%;
    }
    nav .nav-menu,
    nav .nav-infos {
        flex: 1;
    }
    nav .nav-logo {
        padding-left: 20px;
        padding-right: 20px;
    }
    .text-wrapper.text-wrapper-left {
        padding-right: 0;
    }
    .text-wrapper.text-wrapper-left::before {
        right: -60px;
    }
    .text-wrapper.text-wrapper-right {
        padding-left: 0;
    }
    .text-wrapper.text-wrapper-right::before {
        left: -60px;
    }
}

@media (min-width:992px) and (max-width:1199px) {
    .block-shape {
        padding: 70px 10px 60px 70px;
    }
    nav .nav-menu li a:not(.dropdown-item):not(.btn),
    nav .nav-menu li button {
        padding: 5px 1px;
    }
}
